Bug 737992 - Merge dkim policy with upstream
Summary: Merge dkim policy with upstream
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 15:09 UTC by Paul Howarth
Modified: 2012-07-23 10:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-23 10:10:59 UTC


Attachments (Terms of Use)
Patch against upstream policy for opendkim support (1.52 KB, patch)
2011-09-13 15:09 UTC, Paul Howarth
no flags Details | Diff

Description Paul Howarth 2011-09-13 15:09:12 UTC
Created attachment 522945 [details]
Patch against upstream policy for opendkim support

As discussed on Fedora's selinux list.

Upstream has policy for dkim in its own module, whilst Fedora has it as part of the milter module. Please remove the version in the milter module and add the separate upstream dkim module to the selinux-policy package build.

Please also add the tweaks for opendkim in the attached patch (posted upstream).

Comment 1 Paul Howarth 2011-09-20 14:53:48 UTC
All of my opendkim patches have now been merged upstream. In addition to the current dkim module, upstream commits a108d9db60747a887f626b99cce37738462dd3cd and d27a504b0e5f6cb14cec63e4951ce2d1fb39d512 for corenetwork are needed to add milter_port_t for inet socket support.

Is there any chance of getting these changes into RHEL policy too?

Comment 2 Anthony Messina 2012-07-23 09:25:17 UTC
Has this made it to the Fedora 17 targeted policy?  I'm hoping to have support for OpenDKIM as I've just installed it here as well.  Thanks.

Comment 3 Paul Howarth 2012-07-23 09:35:17 UTC
Not Fedora 17, but it is in Rawhide.

When I was working on this last year, there were some file ownership/permissions issues that I was hoping would be fixed upstream to avoid the need for dac_override in some circumstances; not sure if that's happened.

Comment 4 Paul Howarth 2012-07-23 09:35:49 UTC
(In reply to comment #3)
> Not Fedora 17, but it is in Rawhide.
> 
> When I was working on this last year, there were some file
> ownership/permissions issues that I was hoping would be fixed upstream to
> avoid the need for dac_override in some circumstances; not sure if that's
> happened.

By upstream, I mean opendkim upstream there.


Note You need to log in before you can comment on or make changes to this bug.